Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.fonts
Class AFPPageFonts

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.apache.fop.afp.fonts.AFPPageFonts

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class AFPPageFonts
extends java.util.HashMap

Holds the current page fonts

See Also:
  Serialized Form

Constructor Summary
`AFPPageFonts()` Default constructor
`AFPPageFonts(AFPPageFonts fonts)` Parameterized constructor

Method Summary
`AFPFontAttributes` | `registerFont(java.lang.String fontName, AFPFont font, int fontSize)` Registers a font on the current page and returns font attributes

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AFPPageFonts

    public AFPPageFonts()

  Default constructor

### AFPPageFonts

    public AFPPageFonts(AFPPageFonts fonts)

  Parameterized constructor

Parameters:
  `fonts` - an existing set of afp page fonts

Method Detail

### registerFont

    public AFPFontAttributes registerFont(java.lang.String fontName,
                                          AFPFont font,
                                          int fontSize)

  Registers a font on the current page and returns font attributes

  Parameters:
    `fontName` - the internal font name
    `font` - the AFPFont
    `fontSize` - the font point size
  Returns:
    newly registered AFPFontAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.